jocaml_4.01.0-3_amd64.deb


Advertisement

Description

jocaml - OCaml extended for concurrent and distributed programming

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name jocaml
Package version 4.01.0
Package release 3
Package architecture amd64
Package type deb
Installed size 16.83 KB
Download size 2.41 MB
Official Mirror ftp.br.debian.org
The JOCaml programming language is an extension of the OCaml language with
high-level primitives for communication and synchronization between processes.
This enables programmers to rapidly develop distributed large-scale
applications using the expressivity of OCaml.

Alternatives

Package Version Architecture Repository
jocaml_4.01.0-3_i386.deb 4.01.0 i386 Debian Main
jocaml - - -

Requires

Name Value
jocaml-base-4.01.0 -
libc6 >= 2.14
ocaml-compiler-libs-4.01.0 -
ocaml-nox-4.01.0 -

Provides

Name Value
jocaml-4.01.0 -

Download

Type URL
Binary Package jocaml_4.01.0-3_amd64.deb
Source Package jocaml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install jocaml deb package:
    # sudo apt-get install jocaml

Files

Path
/usr/bin/jocaml
/usr/bin/jocamlc
/usr/bin/jocamlc.opt
/usr/bin/jocamlcp
/usr/bin/jocamldep
/usr/bin/jocamldep.opt
/usr/bin/jocamllex
/usr/bin/jocamllex.opt
/usr/bin/jocamlmklib
/usr/bin/jocamlmktop
/usr/bin/jocamlopt
/usr/bin/jocamlopt.opt
/usr/bin/jocamlprof
/usr/bin/jocamlyacc
/usr/lib/jocaml/Makefile.config
/usr/lib/jocaml/camlheader
/usr/lib/jocaml/camlheader_ur
/usr/lib/jocaml/expunge
/usr/lib/jocaml/extract_crc
/usr/lib/jocaml/libasmrun.a
/usr/lib/jocaml/libasmrunp.a
/usr/lib/jocaml/libcamlrun.a
/usr/lib/jocaml/libcamlrun_shared.so
/usr/lib/jocaml/libthreads.a
/usr/lib/jocaml/libthreadsnat.a
/usr/lib/jocaml/compiler-libs/topdirs.cmi
/usr/lib/jocaml/compiler-libs/topmain.cmi
/usr/lib/jocaml/compiler-libs/topstart.cmo
/usr/lib/jocaml/jocamltoploop/toploop.cmi
/usr/lib/jocaml/threads/condition.cmi
/usr/lib/jocaml/threads/condition.cmx
/usr/lib/jocaml/threads/condition.mli
/usr/lib/jocaml/threads/event.cmi
/usr/lib/jocaml/threads/event.cmx
/usr/lib/jocaml/threads/event.mli
/usr/lib/jocaml/threads/join.a
/usr/lib/jocaml/threads/join.cmi
/usr/lib/jocaml/threads/join.cmxa
/usr/lib/jocaml/threads/join.mli
/usr/lib/jocaml/threads/joinCom.cmi
/usr/lib/jocaml/threads/joinCom.mli
/usr/lib/jocaml/threads/joinCount.cmi
/usr/lib/jocaml/threads/joinCount.mli
/usr/lib/jocaml/threads/joinFifo.cmi
/usr/lib/jocaml/threads/joinFifo.mli
/usr/lib/jocaml/threads/joinHelper.cmi
/usr/lib/jocaml/threads/joinHelper.mli
/usr/lib/jocaml/threads/joinMapRed.cmi
/usr/lib/jocaml/threads/joinMapRed.mli
/usr/lib/jocaml/threads/joinPool.cmi
/usr/lib/jocaml/threads/joinPool.mli
/usr/lib/jocaml/threads/joinProc.cmi
/usr/lib/jocaml/threads/joinProc.mli
/usr/lib/jocaml/threads/joinTextProc.cmi
/usr/lib/jocaml/threads/joinTextProc.mli
/usr/lib/jocaml/threads/join_debug.cmx
/usr/lib/jocaml/threads/join_extern.cmx
/usr/lib/jocaml/threads/join_hash.cmx
/usr/lib/jocaml/threads/join_link.cmx
/usr/lib/jocaml/threads/join_message.cmx
/usr/lib/jocaml/threads/join_misc.cmx
/usr/lib/jocaml/threads/join_port.cmx
/usr/lib/jocaml/threads/join_prim.cmi
/usr/lib/jocaml/threads/join_prim.cmx
/usr/lib/jocaml/threads/join_queue.cmx
/usr/lib/jocaml/threads/join_scheduler.cmx
/usr/lib/jocaml/threads/join_set.cmx
/usr/lib/jocaml/threads/join_space.cmx
/usr/lib/jocaml/threads/join_test.cmi
/usr/lib/jocaml/threads/join_test.cmx
/usr/lib/jocaml/threads/mutex.cmi
/usr/lib/jocaml/threads/mutex.cmx
/usr/lib/jocaml/threads/mutex.mli
/usr/lib/jocaml/threads/thread.cmi
/usr/lib/jocaml/threads/thread.cmx
/usr/lib/jocaml/threads/thread.mli
/usr/lib/jocaml/threads/threadUnix.cmi
/usr/lib/jocaml/threads/threadUnix.cmx
/usr/lib/jocaml/threads/threadUnix.mli
/usr/lib/jocaml/threads/threads.a
/usr/lib/jocaml/threads/threads.cmxa
/usr/lib/jocaml/vmthreads/condition.cmi
/usr/lib/jocaml/vmthreads/condition.mli
/usr/lib/jocaml/vmthreads/event.cmi
/usr/lib/jocaml/vmthreads/event.mli
/usr/lib/jocaml/vmthreads/join.cmi
/usr/lib/jocaml/vmthreads/join.mli
/usr/lib/jocaml/vmthreads/joinCom.cmi
/usr/lib/jocaml/vmthreads/joinCom.mli
/usr/lib/jocaml/vmthreads/joinCount.cmi
/usr/lib/jocaml/vmthreads/joinCount.mli
/usr/lib/jocaml/vmthreads/joinFifo.cmi
/usr/lib/jocaml/vmthreads/joinFifo.mli
/usr/lib/jocaml/vmthreads/joinHelper.cmi
/usr/lib/jocaml/vmthreads/joinHelper.mli
/usr/lib/jocaml/vmthreads/joinMapRed.cmi
/usr/lib/jocaml/vmthreads/joinMapRed.mli
/usr/lib/jocaml/vmthreads/joinPool.cmi
/usr/lib/jocaml/vmthreads/joinPool.mli
/usr/lib/jocaml/vmthreads/joinProc.cmi
/usr/lib/jocaml/vmthreads/joinProc.mli
/usr/lib/jocaml/vmthreads/joinTextProc.cmi
/usr/lib/jocaml/vmthreads/joinTextProc.mli
/usr/lib/jocaml/vmthreads/join_prim.cmi
/usr/lib/jocaml/vmthreads/join_test.cmi
/usr/lib/jocaml/vmthreads/libvmthreads.a
/usr/lib/jocaml/vmthreads/mutex.cmi
/usr/lib/jocaml/vmthreads/mutex.mli
/usr/lib/jocaml/vmthreads/thread.cmi
/usr/lib/jocaml/vmthreads/thread.mli
/usr/lib/jocaml/vmthreads/threadUnix.cmi
/usr/lib/jocaml/vmthreads/threadUnix.mli
/usr/share/doc/jocaml/changelog.Debian.gz
/usr/share/doc/jocaml/changelog.gz
/usr/share/doc/jocaml/copyright
/usr/share/lintian/overrides/jocaml
/usr/share/man/man1/jocaml.1.gz
/usr/share/man/man1/jocamlc.1.gz
/usr/share/man/man1/jocamlc.opt.1.gz
/usr/share/man/man1/jocamlcp.1.gz
/usr/share/man/man1/jocamldep.1.gz
/usr/share/man/man1/jocamldep.opt.1.gz
/usr/share/man/man1/jocamllex.1.gz
/usr/share/man/man1/jocamllex.opt.1.gz
/usr/share/man/man1/jocamlmklib.1.gz
/usr/share/man/man1/jocamlmktop.1.gz
/usr/share/man/man1/jocamlopt.1.gz
/usr/share/man/man1/jocamlopt.opt.1.gz
/usr/share/man/man1/jocamlprof.1.gz
/usr/share/man/man1/jocamlyacc.1.gz
/var/lib/ocaml/lintian/jocaml.info
/var/lib/ocaml/md5sums/jocaml.md5sums

Changelog

2014-06-01 - Mehdi Dogguy <mehdi@debian.org>
jocaml (4.01.0-3) unstable; urgency=medium
* Import OCaml's patches in reverse order to apply them in the correct
order (Closes: #749863).
2014-05-09 - Mehdi Dogguy <mehdi@debian.org>
jocaml (4.01.0-2) unstable; urgency=medium
* Fix quilt call so that all patches are applied.
2014-05-09 - Mehdi Dogguy <mehdi@debian.org>
jocaml (4.01.0-1) unstable; urgency=medium
* New upstream release (Closes: #731399).
- Remove 0002-Add-option-v-to-expunge-to-select-modules-to-filter-.patch
(applied upstream).
- Refresh remaining patch which removes Otyp_proc in order to have
an outcometree.mli compatible with OCaml's.
* Keep only JoCaml specific patches, and import OCaml patches from
ocaml-source package. This lets jocaml package benefit from work
done on the ocaml package, automatically.
* Update jocaml.install.in, since some files moved around and are now
under compiler-libs directory.
* Make jocaml depend on ocaml-compiler-libs.
2011-11-01 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.12.1-1) unstable; urgency=low
* New upstream release
* Refresh patches
- Remove patches integrated into this latest release:
+ 0003-Fix-ocamlopt-w.r.t.-binutils-2.21.patch
- New patches (from OCaml package):
+ 0004-ocamlopt-arm-add-.type-directive-for-code-symbols.patch
+ 0005-Add-support-for-ENOTSUP.patch
+ 0006-Do-not-add-R-dir-in-X11-link-options-on-GNU-kFreeBSD.patch
- Replace 0003-Natdynlink-works-on-powerpc.patch with a more complete
patch 0003-Natdynlink-works-on-powerpc-and-hurd-i386.patch
* Bump least version needed for OCaml in Build-Depends
* Bump Standards-Version to 3.9.2, no changes required.
2011-04-17 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.12.0-1) unstable; urgency=low
* New upstream release (Closes: #580103).
* Fix typo in description (Closes: #582533).
* Add patch to fix ocamlopt w.r.t. binutils 2.21 (Closes: #618106).
- 0003-Fix-ocamlopt-w.r.t.-binutils-2.21.patch
* Natdynlink works on PowerPc.
- Add 0004-Natdynlink-works-on-powerpc.patch
2010-02-17 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.11.2.a-1) unstable; urgency=low
* s/A/a/ in version number (Closes: #569893)
* Use automatic dependencies computed by dh-ocaml (>= 0.9)
2010-02-12 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.11.2.A-1) unstable; urgency=low
* New Upstream version
2009-10-31 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.11.1-3) unstable; urgency=low
* Copy config.{sub,guess} to ./config/gnu/, fixes FTBFS on avr32
(Closes: #548117, #538049).
* Use dh_ocamlinit to handle *.in files (Closes: #549779).
2009-09-22 - Mehdi Dogguy <mehdi@debian.org>
jocaml (3.11.1-2) unstable; urgency=low
* Fix bashim in debian/jocamlmktop and add a copyright notice
(Closes: #547748).
* Update my email address and remove DMUA
* Bump standards to 3.8.3, no changes needed
* Update short description for jocaml-base
2009-06-23 - Mehdi Dogguy <dogguy@pps.jussieu.fr>
jocaml (3.11.1-1) unstable; urgency=low
* New Upstream Version
* Install toplevel library, Closes: #532989, #532981.
* Make ocaml-findlib work with JoCaml, Closes: #532970, by:
- Adding a patch to minimize changes in outcometree.mli
- Installing toploop.cmi in a new directory (/usr/lib/jocaml/jocamltoploop)
- Modifying jocamlmktop so that produced toplevel is expunged from some
modules: Parsetree, types and Env.
- Adding a patch for expunge which adds a -v option to give modules to
filter instead of modules to keep.
* Tools addlabels and scrapelabels are not installed by upstream anymore
* Use ocamlinit sed rule to generate links for opt programs
* Bump standards to 3.8.2
* Add a README.source
* New JoCaml standard library location is: /usr/lib/jocaml/

See Also

Package Description
jodconverter_2.2.2-8_all.deb Office formats converter
jodreports-cli_2.4.0-3_all.deb Merge OpenDocument text with data - command line tool
joe-jupp_3.1.28-1_all.deb reimplement the joe Debian package using jupp
joe_3.7-2.4_amd64.deb user friendly full screen text editor
john-data_1.8.0-2_all.deb active password cracking tool - character sets
john_1.8.0-2_amd64.deb active password cracking tool
josm-l10n_0.0.svn7643+dfsg1-1_all.deb Editor for OpenStreetMap - translation files
josm-plugins_0.0.svn30763+ds1-1_all.deb Plugins for JOSM
josm_0.0.svn7643+dfsg1-1_all.deb Editor for OpenStreetMap
jove_4.16.0.73-2_amd64.deb Jonathan's Own Version of Emacs - a compact, powerful editor
jovie_4.14.2-1_amd64.deb text-to-speech system
joy2key_1.6.3-1_amd64.deb Translate joystick movements into equivalent keystrokes
joystick_1.4.7-2_amd64.deb set of testing and calibration tools for joysticks
jp2a_1.0.6-5+b2_amd64.deb converts jpg images to ascii
jparse_1.4.0-3_amd64.deb JSON parser utility
Advertisement
Advertisement